> For the complete documentation index, see [llms.txt](https://developers.publicmint.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.publicmint.io/api/funding/deposit-wire.md).

# Depositing

Now it's time to create your first deposit.&#x20;

* [Step 1: Create a deposit](/api/funding/deposit-wire.md#step-1-create-a-deposit)
* [Step 2: Deposit fiat using provided reference](/api/funding/deposit-wire.md#step-3-deposit-fiat-using-provided-refence)

## Step 1: Create a deposit

Start by creating a `POST` request to the `/transactions` [endpoint](/api/reference/transactions.md#create-a-new-transaction), indicating the destination address on-chain and the the identity of the entity executing the deposit. This identity will be verified upon reception of funds, to ensure it matches the underlying bank transaction.

{% tabs %}
{% tab title="Request" %}
{% code title="POST /transactions" %}

```
{
  "amount": "10",
  "code": "deposit:wire:usd",
  "currency": "USD",
  "destinationAddress": "0x71c7656ec7ab88b098defb751b7401b5f6d8976f",
  "identityId": "e7941059-74c6-4b3f-b029-d3aa03d1ea44",
  "paymentMethod": "wire"
}
```

{% endcode %}
{% endtab %}

{% tab title="Response" %}
{% code title="POST /transactions" %}

```
{
  "data": {
    "addressId": "e7941059-74c6-4b3f-b029-d3aa03d1ea42",
    "amount": "10.00000000",
    "appId": "e7941059-74c6-4b3f-b029-d3aa03d1ea44",
    "code": "deposit:wire:usd",
    "createdAt": "2020-10-28T17:40:55.501Z",
    "currency": "USD",
    "deletedAt": null,
    "destinationAddress": "0x71c7656ec7ab88b098defb751b7401b5f6d8976f",
    "externalReference": "e7941059-74c6-4b3f-b029-d3aa03d1ea43",
    "id": "e7941059-74c6-4b3f-b029-d3aa03d1ea44",
    "identityId": "e7941059-74c6-4b3f-b029-d3aa03d1ea44",
    "metadata": {
      "paymentMethod": "wire",
      "transactionDetails": {
        "bankName": "ROYAL BUSINESS BANK",
        "reference": "CUSCTW6GA",
        "swiftCode": "RBBCUS6L",
        "bankAccountName": "Prime Trust, LLC",
        "bankAccountNumber": "2030136050"
      }
    },
    "originAddress": null,
    "status": "pending",
    "transactionDetails": {
      "bankName": "ROYAL BUSINESS BANK",
      "reference": "CUSCTW6GA",
      "swiftCode": "RBBCUS6L",
      "bankAccountName": "Prime Trust, LLC",
      "bankAccountNumber": "2030136050"
    },
    "transactionHash": null,
    "type": "deposit",
    "updatedAt": "2020-10-28T17:40:55.501Z"
  }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Step 2: Deposit fiat using provided reference&#x20;

Using the `transactionDetails` returned by the service, simply transfer funds to the custodian's bank account. Bear in mind that wire transfers can take a few working days to clear through the traditional banking system.

Once the deposit is processed and confirmed, the update details will automatically be forwarded to Public Mint. This will programmatically trigger the minting of tokenized fiat and send the funds to the recipient user's wallet address on the Public Mint blockchain.

Congratulations! Your fiat is now available for you to transact all [across the blockchain](/blockchain-1/transacting.md)!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.publicmint.io/api/funding/deposit-wire.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
